module.exports = function (style,file,options) {

	var Handlebars  = require('handlebars');
	var grunt = require('grunt');
	var cheerio = require('cheerio');

	var src = options.data.root.storage.src;

	var xml_file = src+'/math/' + file + '.xml';
	if (!grunt.file.exists(xml_file)){
		grunt.fail.fatal('canot find: ' + xml_file);
	}

	var root_element = '<span>';
	var root_selector = 'span';

	var root_class = 'math math' + style;

	var $ = cheerio.load(root_element,{
		normalizeWhitespace: false,
		xmlMode: true,
		decodeEntities: false
	});

	var root = $(root_selector);
	root.attr('class',root_class);



	var xml = grunt.file.read(xml_file);
	xml = xml.replace(/<!DOCTYPE math PUBLIC ".*?" ".*?">/, '');


	root.html(xml);


//	console.log($.html());
	return new Handlebars.SafeString($.html());
	//return $.html();


};

//<div class="math2">@@include('fragments/math/binomial.xml')</div>
