'use strict';

module.exports = function(grunt) {



	grunt.registerTask('print-pdf', 'print pdf', function() {


		var done = this.async();

		var fs = require('fs');
		var pdf = require('html-pdf');
		var config = {
				 timeout: 16000,           // Timeout that will cancel phantomjs, in milliseconds
				"format": "A4",
			  "type": "pdf",             // allowed file types: png, jpeg, pdf
			  "quality": "75",           // only used for types png & jpeg
			  "orientation": "portrait", // portrait or landscape

		}

		var html = fs.readFileSync('./target/build/inline.html', 'utf8')
		pdf.create(html,config, function(err, buffer) {
			if (err) {
				grunt.log.error(err);
				done(false);
				return false;
			}
		  fs.writeFile('article.pdf', buffer);
		  done();
		});



	});




}