var postImport= function(data){

	if (data['notes'] !== undefined){
		var notes={};
		var opts={'handlebars':{'context':data}};
		var doc = autil.jsdomParseSync(data['notes'],opts);
		var window = doc.parentWindow;
		var $ = jquery(window);
		$('note').each(function(idx,el){
			var el = $(el);
			var id = el.attr('id');
			var note_val = $(el).html();
			notes[id] = note_val;
		});
		data['notes'] = notes;
	}

	if (data['citations'] !== undefined){

		var citations={};
		var opts={'handlebars':{'context':data}};
		var doc = autil.jsdomParseSync(data['citations'],opts);
		var window = doc.parentWindow;
		var $ = jquery(window);
		$('citation').each(function(idx,el){
			var el = $(el);
			var id = el.attr('id');
			var c_val = $(el).html();
			citations[id] = c_val;
		});
		data['citations'] = citations;
	}

	if (data['references'] !== undefined){
		var references={};
		var opts={'handlebars':{'context':data}};
		var doc = autil.jsdomParseSync(data['references'],opts);
		var window = doc.parentWindow;
		var $ = jquery(window);
		$('reference').each(function(idx,el){
			var el = $(el);
			//var id = 'ref'+idx;
			var id = el.attr('id');
			var c_val = $(el).html();
			references[id] = c_val;
		});
		data['references'] = references;
	}

	if (data['dictionary'] !== undefined){
		var dictionary={};
		var opts={'handlebars':{'context':data}};
		var doc = autil.jsdomParseSync(data['dictionary'],opts);
		var window = doc.parentWindow;
		var $ = jquery(window);
		$('lemma').each(function(idx,el){
			var el = $(el);
			//var id = 'ref'+idx;
			var id = el.attr('id');
			//var c_val = $(el).html();
			var headword = el.find('headword').html();
			var definition = el.find('definition').html();
			dictionary[id] = {'headword':headword,'definition':definition};
		});
		data['dictionary'] = dictionary;
	}


};
