library(plotrix)
#################################
## INPUT
#################################
varname="height";
#pli8ismos
sample_size=68000;
#mean
im=180;
#standard deviation
istd=12;

##########################################
##########################################

p=0.5;  #pi8anotita koronas
#ypologismoi factors dionimikis
##########################
factors_size=ceiling(istd^2/(p*(1-p)));
bm=factors_size*p; #mesos dionimikis
factor1 = bm-im;


x=rep(0,sample_size);
for(i in 1:sample_size){
	h=sum(sample(c(0,1),factors_size,replace=T));
	h=h-factor1;
	x[i] = h;
}

m=mean(x);
sd=sd(x);

tx= table(x);
df=data.frame(tx);
#df
plot(df);grid();

x1=as.numeric(as.character(df$x));
y1=df$Freq;




#plot FREQ
title=paste('sample size: ',sample_size,'factors: ',factors_size ,' mean: ',round(m,1),' sd: ',round(sd,1)) ;
barp(df$Freq,names.arg=df$x,main=title,ylab="Freq",xlab=varname,col = "grey70");
grid();

#plot pi8anotites
y2=y1/sample_size; #metatropi freq se prob
y3=dnorm(x1,mean=m, sd=sd); #normal distro

#barp(y2,names.arg=df$x,main=title,ylab="probability (Freq/total)",xlab=varname,col = "grey70");
#lines(y3,col="green",lwd=2);

plot(x1,y2,main=title,ylab="probability (Freq/total)",xlab=varname,col = "grey70");
lines(x1,y3,col="green",lwd=2);
legend("topright", c("normal distribution"), cex=1, bty="n", fill="green");
grid();


sum(y2);
sum(y3);
plot(density(x));grid();
qqnorm(x);qqline(x, col = 2);grid();

cat("factors cardinality:",factors_size,"
factor1            :",factor1,"
x:
mean:",m,"
STD :",sd,"
summary:\n");
print(summary(x));




