library(plotrix);

n=64;   #epanalipsis
p=0.5; #pi8anotita
x=seq(0,n);
ybinom=dbinom(x, size=n, prob=p);


q=1-p;
m=n*p; #mesos dionimikis
std=sqrt(n*p*q); #tipiki apoklisi dionimikos

ynormal=dnorm(x,mean=m, sd=std);
plot(ynormal);
plot(ybinom);
diff=ynormal-ybinom;
plot(diff);
grid();


###########################################

p=0.5;
ns=2;
ne=16;
bx=seq(ns,ne);
maxdiff = c();
bx
for (n in bx) {
  x=seq(0,n);
  ybinom=dbinom(x, size=n, prob=p);
  
  q=1-p;
  m=n*p; #mesos dionimikis
  std=sqrt(n*p*q); #tipiki apoklisi dionimikos
  ynormal=dnorm(x,mean=m, sd=std);
  maxdiff = c(maxdiff,max(abs(ynormal-ybinom)));
  
}
plot(maxdiff);
lines(maxdiff);
grid();

barp(maxdiff,names.arg=bx);



###########################################


p=0.5;
ns=16;
ne=100;
q=1-p;

bx=seq(ns,ne);
maxdiff = c();
bx
for (n in bx) {
  x=seq(0,n);
  ybinom=dbinom(x, size=n, prob=p);
  
  m=n*p; #mesos dionimikis
  std=sqrt(n*p*q); #tipiki apoklisi dionimikos
  ynormal=dnorm(x,mean=m, sd=std);
  tmp = max(abs(ynormal-ybinom));
  print(tmp);
  maxdiff = c(maxdiff,tmp);
  
}
plot(maxdiff);
lines(maxdiff);
grid();

barp(maxdiff,names.arg=bx);



####################################################



p=0.5;
ns=2;
ne=100;
q=1-p;
bx=seq(ns,ne);
maxdiff = c();
bx
for (n in bx) {
  x=seq(0,n);
  ybinom=dbinom(x, size=n, prob=p);
  
  m=n*p; #mesos dionimikis
  std=sqrt(n*p*q); #tipiki apoklisi dionimikos
  ynormal=dnorm(x,mean=m, sd=std);
  maxdiff = c(maxdiff,max(abs(ynormal-ybinom)));
  
}
plot(x,maxdiff);
lines(x,maxdiff);
grid();

barp(maxdiff,names.arg=bx);









p=0.5;
n=128;
x=seq(0,n);
ybinom=dbinom(x, size=n, prob=p);

q=1-p;
m=n*p; #mesos dionimikis
std=sqrt(n*p*q); #tipiki apoklisi dionimikos
ynormal=dnorm(x,mean=m, sd=std);
diff=ynormal-ybinom;
plot(x,diff);
lines(x,diff);
grid();